<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Theme Palace
 * @subpackage Newzpaper
 * @since Newzpaper 1.0.0
 */

/**
 * newzpaper_footer_primary_content hook
 *
 * @hooked newzpaper_add_contact_section -  10
 *
 */
do_action( 'newzpaper_footer_primary_content' );

/**
 * newzpaper_content_end_action hook
 *
 * @hooked newzpaper_content_end -  10
 *
 */
do_action( 'newzpaper_content_end_action' );

/**
 * newzpaper_content_end_action hook
 *
 * @hooked newzpaper_footer_start -  10
 * @hooked newzpaper_Footer_Widgets->add_footer_widgets -  20
 * @hooked newzpaper_footer_site_info -  40
 * @hooked newzpaper_footer_end -  100
 *
 */
do_action( 'newzpaper_footer' );

/**
 * newzpaper_page_end_action hook
 *
 * @hooked newzpaper_page_end -  10
 *
 */
do_action( 'newzpaper_page_end_action' ); 

?>

<?php wp_footer(); ?>

</body>
</html>
