<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Newzpaper
 *
 * @package Theme Palace
 * @subpackage Newzpaper
 * @since Newzpaper 1.0.0
 */


require get_template_directory() . '/inc/widgets/editor-post.php';

require get_template_directory() . '/inc/widgets/trending-post.php';

require get_template_directory() . '/inc/widgets/popular-post.php';

require get_template_directory() . '/inc/widgets/recent-posts.php';

require get_template_directory() . '/inc/widgets/social-link.php';

require get_template_directory() . '/inc/widgets/about.php';


/**
 * Register widgets
 */
function newzpaper_register_widgets() {

	register_widget( 'Newzpaper_Editor_Post' );

	register_widget( 'Newzpaper_Trending_Post' );

	register_widget( 'Newzpaper_Recent_Post' );

	register_widget( 'Newzpaper_Social_Link' );
	
	register_widget( 'Newzpaper_About_Widget' );
	
	register_widget( 'Newzpaper_Popular_post' );

}
add_action( 'widgets_init', 'newzpaper_register_widgets' );